function [y,PREC]=SOLVELUINC(alpha,x,y,PREC)
% [z,PREC]=SOLVELUINC(alpha,x,y,PREC)
%
% solve system with ILU z=alpha*(ILU)^{-1}*x+y
%
% The ILU approximately satisfies
% A(PREC.pivL,PREC.pivU) ~ PREC.L(PREC.pivL,:)*PREC.D(PREC.pivL,PREC.pivU)*PREC.U(:,PREC.pivU)

if ~isfield(PREC,'p')
   PREC.p=PREC.P*(1:size(PREC.P,1))';  
end

y=alpha*(PREC.U\ (PREC.L\ x(PREC.p)))+y;
